Skip to main content
`Ctrl`+`K`

# VecUniqueEntries

Compute the number of unique entries, and those entries

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecUniqueEntries(Vec vec, PetscInt *n, PetscScalar *e[])

Collective

## Input Parameter

- vec - the vector

## Output Parameters

- n - The number of unique entries

- e - The entries, each MPI process receives all the unique entries

## See Also

`Vec`

## Level

intermediate

## Location

src/vec/vec/utils/vinv.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages